package cn.tonyandmoney.tuon.core.session;

import cn.tonyandmoney.tuon.core.user.IUser;

/**
 * 将身份信息注入的线程的本地数据中
 *
 * @Classname SessionUtils
 * @Description TODO
 * @Date 2019/8/25 19:51
 * @Created by Administrator
 */
public class SessionUtils {

    private static ThreadLocal<IUser> mUserData = new ThreadLocal<>();


    /**
     * 设置用户信息
     *
     * @param user 用户信息
     */
    public static void setUser(IUser user) {
        mUserData.set(user);
    }

    /**
     * 清楚信息
     */
    public static void remove() {
        mUserData.remove();
    }

    /**
     * 获取用户信息
     *
     * @return 用户信息
     */
    public static IUser getUser() {
        return mUserData.get();
    }

    /**
     * 是否登录
     *
     * @return 由用户信息，则表示一登录
     */
    public static boolean isLogin() {
        return mUserData.get() != null;
    }


}
