package cn.gygxzc.envir.api.sys.controller

import cn.gygxzc.cloud.tina.auth.annotation.ResourceApi
import cn.gygxzc.cloud.tina.auth.enums.ResourceLevel
import io.swagger.annotations.Api
import org.slf4j.Logger
import org.slf4j.LoggerFactory
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * Created by niantuo on 2018/11/1.
 * 检查是否登录，或者token是有有效
 */
@RestController
@RequestMapping("/token")
@Api("检查Token的有效性")
class TokenController {

    private val logger = LoggerFactory.getLogger(TokenController::class.java)

    @GetMapping("/check")
    @ResourceApi(name = "检查登陆状态", level = ResourceLevel.AUTHC)
    fun check() {
        logger.info("token 有效=》{}")
    }
}
